Subject: Re: bug#33709: Hang when compiled with --coverage and gcc 7.3

From: Stefan Kangas <[email-masked]>
Date: Mon, 31 Aug 2020 10:36:36 +0000

Paul Eggert <[email-masked]> writes:

> I'm surprised that --coverage ever worked in a dumped emacs. I think libgcov
> uses the dynamic linker's malloc (so Emacs has *three* malloc implementations)
> and our trick for switching from the Emacs malloc in temacs to the system malloc
> in bootstrap-emacs won't work for memory allocated for
> --coverage. Unfortunately, the libgcov actions do not seem to be easy to disable
> in temacs and re-enable in bootstrap-emacs.
>
> I suggest that we just say this combination isn't supported; if you want to
> build Emacs with gcc --coverage you can configure with CANNOT_DUMP=yes.
>
> If the portable dumper ever gets working, --coverage should be easy to support,
> of course.

(That was 1.5 years ago.)

Any updates here now that we have the portable dumper?  Thanks.